export declare const css: <Composers extends (string | import("@stitches/core/types/util").Function | {
    [name: string]: unknown;
})[], CSS = import("@stitches/core/types/css-util").CSS<{
    sm: "(min-width: 640px)";
    md: "(min-width: 768px)";
    lg: "(min-width: 1024px)";
    xl: "(min-width: 1280px)";
    xxl: "(min-width: 1536px)";
}, {
    colors: {
        [x: string]: any;
    };
    space: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
    };
    fontSizes: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
    fonts: {
        standard: string;
        mono: string;
        fallback: string;
    };
    fontWeights: {
        Thin: number;
        ExtraLight: number;
        Light: number;
        Normal: number;
        Medium: number;
        SemiBold: number;
        Bold: number;
        ExtraBold: number;
    };
    lineHeights: unknown;
    letterSpacings: unknown;
    sizes: unknown;
    radii: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
    shadows: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
}, import("@stitches/core/types/config").DefaultThemeMap, {
    size: (value: any) => {
        width: any;
        height: any;
    };
}>>(...composers: { [K in keyof Composers]: Composers[K] extends string | import("@stitches/core/types/util").Function ? Composers[K] : import("@stitches/core/types/stitches").RemoveIndex<CSS> & {
    variants?: {
        [x: string]: {
            [x: string]: CSS;
            [x: number]: CSS;
        };
    };
    compoundVariants?: (("variants" extends keyof Composers[K] ? { [Name in keyof Composers[K][keyof Composers[K] & "variants"]]?: import("@stitches/core/types/util").String | import("@stitches/core/types/util").Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name]>; } : import("@stitches/core/types/util").WideObject) & {
        css: CSS;
    })[];
    defaultVariants?: "variants" extends keyof Composers[K] ? { [Name_1 in keyof Composers[K][keyof Composers[K] & "variants"]]?: import("@stitches/core/types/util").String | import("@stitches/core/types/util").Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name_1]>; } : import("@stitches/core/types/util").WideObject;
} & CSS & { [K2 in keyof Composers[K]]: K2 extends "compoundVariants" | "defaultVariants" | "variants" ? unknown : K2 extends keyof CSS ? CSS[K2] : unknown; }; }) => import("@stitches/core/types/styled-component").CssComponent<import("@stitches/core/types/styled-component").StyledComponentType<Composers>, import("@stitches/core/types/styled-component").StyledComponentProps<Composers>, {
    sm: "(min-width: 640px)";
    md: "(min-width: 768px)";
    lg: "(min-width: 1024px)";
    xl: "(min-width: 1280px)";
    xxl: "(min-width: 1536px)";
}, CSS>, globalCss: <Styles extends {
    [K: string]: any;
}>(...styles: ({
    '@import'?: unknown;
    '@font-face'?: unknown;
} & { [K in keyof Styles]: K extends "@import" ? string | string[] : K extends "@font-face" ? import("@stitches/core/types/css").AtRule.FontFace | import("@stitches/core/types/css").AtRule.FontFace[] : K extends `@keyframes ${string}` ? {
    [x: string]: import("@stitches/core/types/css-util").CSS<{
        sm: "(min-width: 640px)";
        md: "(min-width: 768px)";
        lg: "(min-width: 1024px)";
        xl: "(min-width: 1280px)";
        xxl: "(min-width: 1536px)";
    }, {
        colors: {
            [x: string]: any;
        };
        space: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
        };
        fontSizes: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        fonts: {
            standard: string;
            mono: string;
            fallback: string;
        };
        fontWeights: {
            Thin: number;
            ExtraLight: number;
            Light: number;
            Normal: number;
            Medium: number;
            SemiBold: number;
            Bold: number;
            ExtraBold: number;
        };
        lineHeights: unknown;
        letterSpacings: unknown;
        sizes: unknown;
        radii: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        shadows: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
    }, import("@stitches/core/types/config").DefaultThemeMap, {
        size: (value: any) => {
            width: any;
            height: any;
        };
    }>;
} : K extends `@property ${string}` ? import("@stitches/core/types/css").AtRule.Property : import("@stitches/core/types/css-util").CSS<{
    sm: "(min-width: 640px)";
    md: "(min-width: 768px)";
    lg: "(min-width: 1024px)";
    xl: "(min-width: 1280px)";
    xxl: "(min-width: 1536px)";
}, {
    colors: {
        [x: string]: any;
    };
    space: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
    };
    fontSizes: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
    fonts: {
        standard: string;
        mono: string;
        fallback: string;
    };
    fontWeights: {
        Thin: number;
        ExtraLight: number;
        Light: number;
        Normal: number;
        Medium: number;
        SemiBold: number;
        Bold: number;
        ExtraBold: number;
    };
    lineHeights: unknown;
    letterSpacings: unknown;
    sizes: unknown;
    radii: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
    shadows: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
}, import("@stitches/core/types/config").DefaultThemeMap, {
    size: (value: any) => {
        width: any;
        height: any;
    };
}>; })[]) => () => string, keyframes: (style: {
    [offset: string]: import("@stitches/core/types/css-util").CSS<{
        sm: "(min-width: 640px)";
        md: "(min-width: 768px)";
        lg: "(min-width: 1024px)";
        xl: "(min-width: 1280px)";
        xxl: "(min-width: 1536px)";
    }, {
        colors: {
            [x: string]: any;
        };
        space: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
        };
        fontSizes: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        fonts: {
            standard: string;
            mono: string;
            fallback: string;
        };
        fontWeights: {
            Thin: number;
            ExtraLight: number;
            Light: number;
            Normal: number;
            Medium: number;
            SemiBold: number;
            Bold: number;
            ExtraBold: number;
        };
        lineHeights: unknown;
        letterSpacings: unknown;
        sizes: unknown;
        radii: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        shadows: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
    }, import("@stitches/core/types/config").DefaultThemeMap, {
        size: (value: any) => {
            width: any;
            height: any;
        };
    }>;
}) => {
    (): string;
    name: string;
}, getCssText: () => string, theme: string & {
    className: string;
    selector: string;
} & {
    colors: {
        [x: string]: import("@stitches/core/types/theme").Token<string, string, "colors", "svelteui">;
    };
    space: {
        xs: import("@stitches/core/types/theme").Token<"xs", string, "space", "svelteui">;
        sm: import("@stitches/core/types/theme").Token<"sm", string, "space", "svelteui">;
        md: import("@stitches/core/types/theme").Token<"md", string, "space", "svelteui">;
        lg: import("@stitches/core/types/theme").Token<"lg", string, "space", "svelteui">;
        xl: import("@stitches/core/types/theme").Token<"xl", string, "space", "svelteui">;
    };
    fontSizes: {
        xs: import("@stitches/core/types/theme").Token<"xs", string, "fontSizes", "svelteui">;
        sm: import("@stitches/core/types/theme").Token<"sm", string, "fontSizes", "svelteui">;
        md: import("@stitches/core/types/theme").Token<"md", string, "fontSizes", "svelteui">;
        lg: import("@stitches/core/types/theme").Token<"lg", string, "fontSizes", "svelteui">;
        xl: import("@stitches/core/types/theme").Token<"xl", string, "fontSizes", "svelteui">;
    };
    fonts: {
        standard: import("@stitches/core/types/theme").Token<"standard", string, "fonts", "svelteui">;
        mono: import("@stitches/core/types/theme").Token<"mono", string, "fonts", "svelteui">;
        fallback: import("@stitches/core/types/theme").Token<"fallback", string, "fonts", "svelteui">;
    };
    fontWeights: {
        Thin: import("@stitches/core/types/theme").Token<"Thin", string, "fontWeights", "svelteui">;
        ExtraLight: import("@stitches/core/types/theme").Token<"ExtraLight", string, "fontWeights", "svelteui">;
        Light: import("@stitches/core/types/theme").Token<"Light", string, "fontWeights", "svelteui">;
        Normal: import("@stitches/core/types/theme").Token<"Normal", string, "fontWeights", "svelteui">;
        Medium: import("@stitches/core/types/theme").Token<"Medium", string, "fontWeights", "svelteui">;
        SemiBold: import("@stitches/core/types/theme").Token<"SemiBold", string, "fontWeights", "svelteui">;
        Bold: import("@stitches/core/types/theme").Token<"Bold", string, "fontWeights", "svelteui">;
        ExtraBold: import("@stitches/core/types/theme").Token<"ExtraBold", string, "fontWeights", "svelteui">;
    };
    lineHeights: {};
    letterSpacings: {};
    sizes: {};
    radii: {
        xs: import("@stitches/core/types/theme").Token<"xs", string, "radii", "svelteui">;
        sm: import("@stitches/core/types/theme").Token<"sm", string, "radii", "svelteui">;
        md: import("@stitches/core/types/theme").Token<"md", string, "radii", "svelteui">;
        lg: import("@stitches/core/types/theme").Token<"lg", string, "radii", "svelteui">;
        xl: import("@stitches/core/types/theme").Token<"xl", string, "radii", "svelteui">;
    };
    shadows: {
        xs: import("@stitches/core/types/theme").Token<"xs", string, "shadows", "svelteui">;
        sm: import("@stitches/core/types/theme").Token<"sm", string, "shadows", "svelteui">;
        md: import("@stitches/core/types/theme").Token<"md", string, "shadows", "svelteui">;
        lg: import("@stitches/core/types/theme").Token<"lg", string, "shadows", "svelteui">;
        xl: import("@stitches/core/types/theme").Token<"xl", string, "shadows", "svelteui">;
    };
}, createTheme: <Argument0 extends string | ({
    colors?: {
        [x: string]: string | number | boolean;
    };
    space?: {
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
    };
    fontSizes?: {
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
    };
    fonts?: {
        standard?: string | number | boolean;
        mono?: string | number | boolean;
        fallback?: string | number | boolean;
    };
    fontWeights?: {
        Thin?: string | number | boolean;
        ExtraLight?: string | number | boolean;
        Light?: string | number | boolean;
        Normal?: string | number | boolean;
        Medium?: string | number | boolean;
        SemiBold?: string | number | boolean;
        Bold?: string | number | boolean;
        ExtraBold?: string | number | boolean;
    };
    lineHeights?: {};
    letterSpacings?: {};
    sizes?: {};
    radii?: {
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
    };
    shadows?: {
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
    };
} & {
    [x: string]: {
        [x: string]: string | number | boolean;
        [x: number]: string | number | boolean;
    };
}), Argument1 extends string | ({
    colors?: {
        [x: string]: string | number | boolean;
    };
    space?: {
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
    };
    fontSizes?: {
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
    };
    fonts?: {
        standard?: string | number | boolean;
        mono?: string | number | boolean;
        fallback?: string | number | boolean;
    };
    fontWeights?: {
        Thin?: string | number | boolean;
        ExtraLight?: string | number | boolean;
        Light?: string | number | boolean;
        Normal?: string | number | boolean;
        Medium?: string | number | boolean;
        SemiBold?: string | number | boolean;
        Bold?: string | number | boolean;
        ExtraBold?: string | number | boolean;
    };
    lineHeights?: {};
    letterSpacings?: {};
    sizes?: {};
    radii?: {
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
    };
    shadows?: {
        xs?: string | number | boolean;
        sm?: string | number | boolean;
        md?: string | number | boolean;
        lg?: string | number | boolean;
        xl?: string | number | boolean;
    };
} & {
    [x: string]: {
        [x: string]: string | number | boolean;
        [x: number]: string | number | boolean;
    };
})>(nameOrScalesArg0: Argument0, nameOrScalesArg1?: Argument1) => string & {
    className: string;
    selector: string;
} & (Argument0 extends string ? import("@stitches/core/types/stitches").ThemeTokens<Argument1, "svelteui"> : import("@stitches/core/types/stitches").ThemeTokens<Argument0, "svelteui">), config: {
    prefix: "svelteui";
    media: {
        sm: "(min-width: 640px)";
        md: "(min-width: 768px)";
        lg: "(min-width: 1024px)";
        xl: "(min-width: 1280px)";
        xxl: "(min-width: 1536px)";
    };
    theme: {
        colors: {
            [x: string]: any;
        };
        space: {
            xs: number;
            sm: number;
            md: number;
            lg: number;
            xl: number;
        };
        fontSizes: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        fonts: {
            standard: string;
            mono: string;
            fallback: string;
        };
        fontWeights: {
            Thin: number;
            ExtraLight: number;
            Light: number;
            Normal: number;
            Medium: number;
            SemiBold: number;
            Bold: number;
            ExtraBold: number;
        };
        lineHeights: unknown;
        letterSpacings: unknown;
        sizes: unknown;
        radii: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        shadows: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
    };
    themeMap: import("@stitches/core/types/config").DefaultThemeMap;
    utils: {
        size: (value: any) => {
            width: any;
            height: any;
        };
    };
};
/** Function for dark theme */
declare const dark: string & {
    className: string;
    selector: string;
} & import("@stitches/core/types/stitches").ThemeTokens<{
    colors: {
        backgroundStandard: string;
        primary: string;
        dark600: string;
        gray600: string;
        red600: string;
        pink600: string;
        grape600: string;
        violet600: string;
        indigo600: string;
        blue600: string;
        cyan600: string;
        teal600: string;
        green600: string;
        lime600: string;
        yellow600: string;
        orange600: string;
        /** Variant caveats, will change later */
        'border-default': string;
        'background-default': string;
        'color-default': string;
        'hover-default': string;
        'background-light': string;
        'color-light': string;
        'hover-light': string;
        'border-outline': string;
        'background-outline': string;
        'color-outline': string;
        'hover-outline': string;
        'border-subtle': string;
        'background-subtle': string;
        'color-subtle': string;
        'hover-subtle': string;
    };
}, "svelteui">;
/**
 * Normalize css function
 */
declare const NormalizeCSS: () => string;
export { NormalizeCSS, dark };
